# Return PostgreSQL users

This function lists an account's PostgreSQL® database users.

Important:

When you disable the PostgreSQL role, the system disables this function.

Endpoint: GET /Postgresql/list_users
Version: 11.138.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_users"

  - `module` (string)
    The name of the module called.
    Example: "Postgresql"

  - `result` (object)

  - `result.data` (array)
    An array of strings which are PostgreSQL database usernames.
    Example: ["example_user1","example_user2"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


